libnjb: Data Fields

- Main Page
- Modules
- Data Structures
- Files
- Directories
- Examples

- File List
- Globals

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Defines

- _
- d
- e
- f
- g
- m
- n
- p
- s
- t
- u

### - _ -

- _file_size() : procedure.c
- _file_time() : procedure.c

### - d -

- data_dump() : ioutil.c
- data_dump_ascii() : ioutil.c
- datafile_new() : datafile.c
- datafile_pack() : datafile.c
- datafile_pack3() : datafile.c
- datafile_set_folder() : datafile.c
- datafile_set_name() : datafile.c
- datafile_set_size() : datafile.c
- datafile_set_time() : datafile.c
- datafile_size() : datafile.c
- datafile_unpack() : datafile.c
- destroy_eax_type() : eax.c

### - e -

- eax_unpack() : eax.c

### - f -

- from_16bit_to_njb1_bytes() : byteorder.c
- from_16bit_to_njb3_bytes() : byteorder.c
- from_32bit_to_njb1_bytes() : byteorder.c
- from_32bit_to_njb3_bytes() : byteorder.c
- from_64bit_to_njb1_bytes() : byteorder.c

### - g -

- get_lsw() : byteorder.c
- get_msw() : byteorder.c

### - m -

- make64() : byteorder.c

### - n -

- new_eax_type() : eax.c
- new_folder_pack3() : datafile.c
- njb1_bytes_to_16bit() : byteorder.c
- njb1_bytes_to_32bit() : byteorder.c
- njb1_bytes_to_64bit() : byteorder.c
- njb3_add_multiple_tracks_to_playlist() : protocol3.h, protocol3.c
- njb3_announce_firmware() : protocol3.h, protocol3.c
- njb3_bytes_to_16bit() : byteorder.c
- njb3_bytes_to_32bit() : byteorder.c
- njb3_control_eax_processor() : protocol3.h, protocol3.c
- njb3_create_playlist() : protocol3.h, protocol3.c
- njb3_destroy_state() : protocol3.h, protocol3.c
- njb3_get_codecs() : protocol3.h, protocol3.c
- njb3_get_file_block() : protocol3.h, protocol3.c
- njb3_get_firmware_confirmation() : protocol3.h, protocol3.c
- njb3_init_state() : protocol3.h, protocol3.c
- njb3_power_status() : protocol3.h, protocol3.c
- njb3_request_file_chunk() : protocol3.h, protocol3.c
- njb3_reset_get_datafile_tag() : protocol3.h, protocol3.c
- njb3_reset_get_playlist_tag() : protocol3.h, protocol3.c
- njb3_send_firmware_chunk() : protocol3.h, protocol3.c
- njb3_set_bitmap() : protocol3.h, protocol3.c
- njb3_update_16bit_frame() : protocol3.h, protocol3.c
- njb3_update_string_frame() : protocol3.h, protocol3.c
- njb3_update_tag() : protocol3.h, protocol3.c
- NJB_Adjust_EAX() : procedure.c, libnjb.h
- NJB_Capture() : procedure.c, libnjb.h
- njb_capture() : protocol.c
- njb_close() : base.c
- NJB_Close() : procedure.c, libnjb.h
- NJB_Create_Folder() : procedure.c, libnjb.h
- NJB_Datafile_Destroy() : libnjb.h, datafile.c
- njb_debug() : base.c
- NJB_Delete_Datafile() : procedure.c, libnjb.h
- NJB_Delete_Playlist() : procedure.c, libnjb.h
- NJB_Delete_Track() : procedure.c, libnjb.h
- NJB_Destroy_EAX_Type() : procedure.c, libnjb.h
- NJB_Destroy_Time() : procedure.c, libnjb.h
- njb_device_is_usb20() : base.c
- njb_discover() : base.c
- NJB_Discover() : procedure.c, libnjb.h
- NJB_Elapsed_Time() : procedure.c, libnjb.h
- NJB_Error_Dump() : libnjb.h
- NJB_Error_Geterror() : libnjb.h
- NJB_Error_Pending() : libnjb.h
- NJB_Error_Reset_Geterror() : libnjb.h
- NJB_Get_Auxpower() : procedure.c, libnjb.h
- NJB_Get_Battery_Charging() : procedure.c, libnjb.h
- NJB_Get_Battery_Level() : procedure.c, libnjb.h
- NJB_Get_Bitmap_Dimensions() : procedure.c, libnjb.h
- njb_get_datafile_header() : protocol.c
- NJB_Get_Datafile_Tag() : procedure.c, libnjb.h
- NJB_Get_Device_Name() : procedure.c, libnjb.h
- njb_get_device_protocol() : base.c
- NJB_Get_Disk_Usage() : procedure.c, libnjb.h
- njb_get_disk_usage() : protocol.c
- NJB_Get_EAX_Type() : procedure.c, libnjb.h
- NJB_Get_Extended_Tags() : procedure.c, libnjb.h
- NJB_Get_Firmware_Revision() : procedure.c, libnjb.h
- NJB_Get_Hardware_Revision() : procedure.c, libnjb.h
- NJB_Get_Keys() : procedure.c, libnjb.h
- njb_get_library_counter() : protocol.c
- njb_get_nexteax() : protocol.c
- NJB_Get_NJB1_Libcounter() : procedure.c, libnjb.h
- NJB_Get_Owner_String() : procedure.c, libnjb.h
- NJB_Get_Playlist() : procedure.c, libnjb.h
- njb_get_playlist_header() : protocol.c
- NJB_Get_SDMI_ID() : procedure.c, libnjb.h
- NJB_Get_Time() : procedure.c, libnjb.h
- NJB_Get_Track() : procedure.c, libnjb.h
- NJB_Get_Track_fd() : procedure.c, libnjb.h
- NJB_Get_Track_Tag() : procedure.c, libnjb.h
- njb_get_track_tag_header() : protocol.c
- njb_get_usb_device_name() : base.c
- NJB_Handshake() : procedure.c
- njb_init_state() : protocol.c
- NJB_Open() : procedure.c, libnjb.h
- njb_open() : base.c
- NJB_Pause_Play() : procedure.c, libnjb.h
- njb_ping() : protocol.c
- NJB_Ping() : procedure.c, libnjb.h
- NJB_Play_Track() : procedure.c, libnjb.h
- NJB_Playlist_Addtrack() : playlist.c, libnjb.h
- NJB_Playlist_Deltrack() : playlist.c, libnjb.h
- NJB_Playlist_Deltrack_TrackID() : playlist.c, libnjb.h
- NJB_Playlist_Destroy() : playlist.c, libnjb.h
- NJB_Playlist_Gettrack() : playlist.c, libnjb.h
- NJB_Playlist_New() : playlist.c, libnjb.h
- NJB_Playlist_Reset_Gettrack() : playlist.c, libnjb.h
- NJB_Playlist_Set_Name() : playlist.c, libnjb.h
- NJB_Playlist_Track_Destroy() : playlist.c, libnjb.h
- NJB_Playlist_Track_New() : playlist.c, libnjb.h
- NJB_Queue_Track() : procedure.c, libnjb.h
- njb_read_eaxtypes() : protocol.c
- njb_receive_file_block() : protocol.c
- NJB_Release() : procedure.c, libnjb.h
- NJB_Replace_Track_Tag() : procedure.c, libnjb.h
- NJB_Reset_Get_Datafile_Tag() : procedure.c, libnjb.h
- NJB_Reset_Get_EAX_Type() : procedure.c, libnjb.h
- NJB_Reset_Get_Playlist() : procedure.c, libnjb.h
- NJB_Reset_Get_Track_Tag() : procedure.c, libnjb.h
- NJB_Resume_Play() : procedure.c, libnjb.h
- NJB_Seek_Track() : procedure.c, libnjb.h
- NJB_Send_File() : procedure.c, libnjb.h
- NJB_Send_Firmware() : procedure.c, libnjb.h
- NJB_Send_Track() : procedure.c, libnjb.h
- NJB_Set_Bitmap() : procedure.c, libnjb.h
- njb_set_debug() : base.c
- NJB_Set_Debug() : procedure.c, libnjb.h
- njb_set_library_counter() : protocol.c
- NJB_Set_Owner_String() : procedure.c, libnjb.h
- NJB_Set_Time() : procedure.c, libnjb.h
- NJB_Set_Turbo_Mode() : procedure.c, libnjb.h
- NJB_Set_Unicode() : procedure.c, libnjb.h
- njb_set_unicode() : unicode.c
- NJB_Songid_Addframe() : songid.c, libnjb.h
- NJB_Songid_Destroy() : songid.c, libnjb.h
- NJB_Songid_Findframe() : songid.c, libnjb.h
- NJB_Songid_Frame_Destroy() : songid.c, libnjb.h
- NJB_Songid_Frame_New_Codec() : songid.c, libnjb.h
- NJB_Songid_Frame_New_String() : songid.c, libnjb.h
- NJB_Songid_Frame_New_Uint16() : songid.c, libnjb.h
- NJB_Songid_Frame_New_Uint32() : songid.c, libnjb.h
- NJB_Songid_Getframe() : songid.c, libnjb.h
- NJB_Songid_New() : songid.c, libnjb.h
- NJB_Songid_Reset_Getframe() : songid.c, libnjb.h
- NJB_Stop_Play() : procedure.c, libnjb.h
- NJB_Update_Playlist() : procedure.c, libnjb.h
- njb_verify_last_command() : protocol.c

### - p -

- playlist_unpack() : playlist.c

### - s -

- songid_pack() : songid.c
- songid_pack3() : songid.c
- songid_sanity_check() : songid.c
- songid_unpack() : songid.c
- split64() : byteorder.c
- strtoucs2() : unicode.c
- strtoutf8() : unicode.c

### - t -

- time_pack() : njbtime.c
- time_pack3() : njbtime.c
- time_unpack() : njbtime.c
- time_unpack3() : njbtime.c

### - u -

- ucs2strlen() : unicode.c
- ucs2tostr() : unicode.c
- usb_pipe_read() : usb_io.c
- usb_pipe_write() : usb_io.c
- usb_setup() : usb_io.c
- utf8tostr() : unicode.c